### Constructor

# GtkSource SnippetContext new

#### Declaration [src]

    GtkSourceSnippetContext*
    gtk_source_snippet_context_new (
      void
    )

#### Description [src]

Creates a new `GtkSourceSnippetContext`.

Generally, this isn’t needed unless you are controlling the expansion of snippets manually.

#### Return value

Type: `GtkSourceSnippetContext`

A `GtkSourceSnippetContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.